| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::EventException Class Reference

Introduced in DOM Level 2:. More...

`#include <dom2_events.h>`

List of all members.

## Public Types
enum | EventExceptionCode { UNSPECIFIED_EVENT_TYPE_ERR = 0 }
| An integer indicating the type of error generated. More...
## Public Member Functions
| EventException (unsigned short _code)
| EventException (const EventException &other)
EventException & | operator= (const EventException &other)
## Public Attributes
unsigned short | code

## Detailed Description

Introduced in DOM Level 2:.

Event operations may throw an EventException as specified in their method descriptions.

Definition at line 277 of file dom2_events.h.

## Member Enumeration Documentation

enum DOM::EventException::EventExceptionCode

| An integer indicating the type of error generated. UNSPECIFIED_EVENT_TYPE_ERR: If the Event's type was not specified by initializing the event before the method was called. Specification of the Event's type as null or an empty string will also trigger this exception. Definition at line 294 of file dom2_events.h.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001